%% 
%  BaseClasses is from Direct X 9.0 SDK 2002
%  Mex code here based on GrabBitmaps.cpp in DirectShow samples
%

include_dirs = '-I.';
other_cpps = ' VidHeader.cpp read-frame.cpp showErrMsgBox.cpp ';
if ispc;
	defines = ' -DMSWIN ';
	libraries = ' zlib.lib ';
else
	defines = '';
	libraries = ' libz64.a ';
end

mex_cpps = {'vidOpenMex.cpp', 'vidReadMex.cpp', 'vidCloseMex.cpp'};

for i = 1:length(mex_cpps);
	eval(['mex ', mex_cpps{i}, ' ', defines, include_dirs, other_cpps, libraries]);
end
